@echo off
SETLOCAL

SET CurrentDir=%~dp0

:: Define the source and target paths
SET Source=%CurrentDir%AppData
SET Target=%UserProfile%\AppData\Roaming\Direct Folders

:: Check if the source directory exists
IF NOT EXIST "%Source%" (
    echo Source directory does not exist.
    GOTO :EOF
)

:: Ensure the target directory exists
IF NOT EXIST "%Target%" (
    echo Creating folder %Target%...
    mkdir "%Target%"
)

:: Copy icons to AppData\Roaming\Direct Folders
xcopy /E /I "%Source%" "%Target%"

:: End of script
ENDLOCAL

PAUSE